Subject: Re: [PATCH] format-patch: clarify --creation-factor=<factor>

From: Junio C Hamano <[email-masked]>
Date: Sun, 31 Jul 2022 11:56:28 -0700

Eric Sunshine <[email-masked]> writes:

> On Thu, Jul 28, 2022 at 5:09 PM Eric Sunshine <[email-masked]> wrote:
>> On Thu, Jul 28, 2022 at 4:59 PM Junio C Hamano <[email-masked]> wrote:
>> > >> -               [--range-diff=<previous> [--creation-factor=<percent>]]
>> > >> +               [--range-diff=<previous> [--creation-factor=<factor>]]
>> >
>> > Eric, I am not sure if the other patch for the range-diff command as
>> > a standalone patch is worth it.  Perhaps you can help me by
>> > submitting a single combined patch to cover the above as well as
>> > what we wrote in the two patches, with you marked as the primary
>> > author and with Helped-by: that credits Ævar?
>>
>> Will do.
>
> Given Dscho's response in [1] which states that "percent" is more
> accurate than "factor", perhaps these two patches are unwanted after
> all, and instead the documentation of "creation factor" in
> Documentation/git-range-diff.txt ought to be expanded with a better
> explanation, as hinted in [2].

Yup, I do not mind "percent" at all.  As long as it is clear that we
use it to avoid fractions by multiplying by 100.  Something along
the lines of "This number is expressed by 'percent', but its range
is not constrained to 0-100%.  It is a weight given to X relative to
Y, and default is 60% (i.e. 0.6).  You give it larger value when you
want to do Z and smaller value when you want to do W" would be what
our readers need to see, I would think.

Thanks.